Boundingbox cannot be seen with Rhinoscript


#1

Hi.

I am trying to get the boundingbox out of an irregular object with Rhinoscript. It works fine (returns an array) but nothing appears on screen. Any idea?

Thanks in advance.


(Willem Derks) #2

Hi Miguel,

The rhinoscript method indeed does not create an object, but merely returns an array.
You could script the boundingbox command as an easy way to actually create the boundingbox object or use the returned array to create the geometry yourself.

HTH
-Willem


#3

Use Rhino.AddBox(YourBoundingBoxArray) to add a box object to the document…

–Mitch


#4

Thank you so much, Willem and Mitch. Working.